apiVersion: apps/v1
kind: Deployment
metadata:
  name: users-api-canary
spec:
  replicas: 2
  selector:
    matchLabels:
      type: api
      service: users
      env: canary
  minReadySeconds: 1
  progressDeadlineSeconds: 60
  revisionHistoryLimit: 5
  strategy:
    type: RollingUpdate
    rollingUpdate:
      maxSurge: 1
      maxUnavailable: 1
  template:
    metadata:
      labels:
        type: api
        service: users
        language: python
        env: canary
    spec:
      containers:
      - name: api
        image: registry.gitlab.com/joseba.carnicero/jcarnicero-idc-p2:canary
        env:
        - name: POSTGRES_DB
          value: users-dev
        - name: POSTGRES_USER
          value: postgres
        - name: POSTGRES_PASSWORD
          value: postgres
        - name: DATABASE_URL
          value: postgressql://postgres:postgres@users-db:5432/users_dev
        - name: FLASK_ENV
          value: development
        - name: PORT
          value: "5000"
        ports:
          - containerPort: 5000
        readinessProbe:
          httpGet:
            path: /ping
            port: 5000
          periodSeconds: 1
        livenessProbe:
          httpGet:
            path: /ping
            port: 5000
      imagePullSecrets:
      - name: regcred
